org.apache.fontbox.ttf

## Class VerticalOriginTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.VerticalOriginTable

    public class VerticalOriginTable
    extends TTFTable

A vertical origin 'VORG' table in an OpenType font. The purpose of this table is to improve the efficiency of determining vertical origins in CFF fonts where absent this information the bounding box would have to be extracted from CFF charstring data. This table is strongly recommended by the OpenType CJK Font Guidelines for "CFF OpenType fonts that are used for vertical writing". This table is specified only in the OpenType specification (1.3 and later).

Author:
  Glenn Adams

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getOriginY(int gid)` Returns the y-coordinate of the vertical origin for the given GID if known, or returns the default value if not specified in table data.
`float` `getVersion()`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getVersion

    public float getVersion()

Returns:
  Returns the version.

#### getOriginY

    public int getOriginY(int gid)

Returns the y-coordinate of the vertical origin for the given GID if known, or returns the default value if not specified in table data.

Parameters:
  `gid` - GID
Returns:
  Returns the y-coordinate of the vertical origin.